For the complete documentation index, see llms.txt. This page is also available as Markdown.

LinkInstantCard

The "LinkInstantCard" endpoint allows customers to link an account to an instant card by providing the card's details and the cardholder's personal information.

POST /api/Card/v{{version}}/Providus/LinkInstantCard

NB: An instant card is a card which has to have an account tied to it when the card is being requested. On linking the card to the account, you are expected to print the customer's name on the blank card using your card printing machine.

To link an account to an instant card, provide the cardId, the cardholder's name and personal details (nameOnCard, firstName, lastName, dob, address fields), contact details (phoneNumber, email), the accountNumber to link, and the card's expiration and cardPan.

Headers

Name
Value

Content-Type*

application/json

Request-Reference

unique_string

Body

Name
Data Type
Required/Optional
Description

cardId

string

Id of the card to issue.

nameOnCard

string

The name to be printed on the card.

firstName

string

The cardholder's first name.

lastName

string

The cardholder's last name.

dob

string

The cardholder's date of birth.

address2

string

The cardholder's address.

city

string

The cardholder's city.

countryCode

string

The cardholder's country code.

phoneNumber

string

The cardholder's phone number.

accountNumber

string

The account number to link to the card.

email

string

The cardholder's email address.

expiration

string

The card's expiration date.

cardPan

string

The card's Primary Account Number (PAN).

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
Response: 200

Last updated